Package ru.bitel.bgbilling.modules.assist.common.service

# Interface AssistService

All Superinterfaces:
  `PaymentServiceProvider`

public interface AssistService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doManualAutopayment(int contractId, BigDecimal sum)`
  Ручной автоплатеж
  `List<AssistPaymentRecurring>`
  `getRecurringList()`
  `void`
  `recurringDelete(int contractId)`
  `void`
  `recurringDo(int contractId, BigDecimal sum)`
  `List<AssistPaymentRecurring>`
  `recurringList(int contractId)`
  `SearchResult<Autopayment>`
  `searchAutopaymentList(int contractId, Period period, String[] sort, Page page)`
  `SearchResult<Transaction>`
  `searchTransactionList(SearchParam searchParam)`
  `List<TransactionCheckResultDTO>`
  `transactionCheck(int contractId)`
  `Transaction`
  `transactionGet(int id)`
  `int`
  `transactionUpdate(int id, BigDecimal sum, TransactionStatus status, String comment)`

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction, getAutopaymentCurrentMode`

- ## Method Details

  - ### getRecurringList

    List<AssistPaymentRecurring> getRecurringList() throws Exception
    Throws:
      `Exception`

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList(SearchParam searchParam) throws Exception
    Throws:
      `Exception`

  - ### transactionGet

    Transaction transactionGet(int id) throws Exception
    Throws:
      `Exception`

  - ### transactionUpdate

    int transactionUpdate(int id, BigDecimal sum, TransactionStatus status, String comment) throws Exception
    Throws:
      `Exception`

  - ### transactionCheck

    List<TransactionCheckResultDTO> transactionCheck(int contractId) throws Exception
    Throws:
      `Exception`

  - ### recurringList

    List<AssistPaymentRecurring> recurringList(int contractId) throws Exception
    Throws:
      `Exception`

  - ### recurringDelete

    void recurringDelete(int contractId) throws Exception
    Throws:
      `Exception`

  - ### recurringDo

    void recurringDo(int contractId, BigDecimal sum) throws Exception
    Throws:
      `Exception`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList(int contractId, Period period, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### doManualAutopayment

    void doManualAutopayment(int contractId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `PaymentServiceProvider`
    Ручной автоплатеж
    Specified by:
      `doManualAutopayment` in interface `PaymentServiceProvider`
    Parameters:
      `contractId` -
      `sum` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`